POST api/particlecounterapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ParticleCounterViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

anatype_id

globally unique identifier

Required

cleanroom_id

globally unique identifier

None.

description

string

None.

id

globally unique identifier

None.

ip_address

string

Required

particle_counter_type_id

globally unique identifier

Required

site_id

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "anatype_id": "10c78fda-4d5d-4024-8197-a487aa1c3a62",
  "cleanroom_id": "61f22bbe-a26f-4f7c-8aa4-26eeb68d8859",
  "description": "sample string 3",
  "id": "1f4b5bbc-a5e1-4197-aa8d-eae1fd74e54f",
  "ip_address": "sample string 5",
  "particle_counter_type_id": "670ed053-9acd-4260-be21-28f25f8d4a10",
  "site_id": "b96f024a-a19a-40d5-9e21-e82c7441b001"
}

application/xml, text/xml

Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <anatype_id>10c78fda-4d5d-4024-8197-a487aa1c3a62</anatype_id>
  <cleanroom_id>61f22bbe-a26f-4f7c-8aa4-26eeb68d8859</cleanroom_id>
  <description>sample string 3</description>
  <id>1f4b5bbc-a5e1-4197-aa8d-eae1fd74e54f</id>
  <ip_address>sample string 5</ip_address>
  <particle_counter_type_id>670ed053-9acd-4260-be21-28f25f8d4a10</particle_counter_type_id>
  <site_id>b96f024a-a19a-40d5-9e21-e82c7441b001</site_id>
</particle_counter>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"66ab1efb-b9ea-453e-ae8e-51ea46ec8ebf"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">66ab1efb-b9ea-453e-ae8e-51ea46ec8ebf</guid>